Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.accessibility
Interface AccessibleAction

All Known Implementing Classes:
  AbstractButton.AccessibleAbstractButton, AccessibleHyperlink, Button.AccessibleAWTButton, Checkbox.AccessibleAWTCheckbox, CheckboxMenuItem.AccessibleAWTCheckboxMenuItem, Choice.AccessibleAWTChoice, JButton.AccessibleJButton, JCheckBox.AccessibleJCheckBox, JCheckBoxMenuItem.AccessibleJCheckBoxMenuItem, JComboBox.AccessibleJComboBox, JEditorPane.AccessibleJEditorPane, JEditorPane.AccessibleJEditorPaneHTML, JEditorPane.JEditorPaneAccessibleHypertextSupport, JEditorPane.JEditorPaneAccessibleHypertextSupport.HTMLLink, JMenu.AccessibleJMenu, JMenuItem.AccessibleJMenuItem, JPasswordField.AccessibleJPasswordField, JRadioButton.AccessibleJRadioButton, JRadioButtonMenuItem.AccessibleJRadioButtonMenuItem, JSpinner.AccessibleJSpinner, JTextArea.AccessibleJTextArea, JTextComponent.AccessibleJTextComponent, JTextField.AccessibleJTextField, JToggleButton.AccessibleJToggleButton, JTree.AccessibleJTree.AccessibleJTreeNode, Menu.AccessibleAWTMenu, MenuItem.AccessibleAWTMenuItem, PopupMenu.AccessibleAWTPopupMenu

    public interface AccessibleAction

The AccessibleAction interface should be supported by any object that can perform one or more actions. This interface provides the standard mechanism for an assistive technology to determine what those actions are as well as tell the object to perform them. Any object that can be manipulated should support this interface. Applications can determine if an object supports the AccessibleAction interface by first obtaining its AccessibleContext (see `Accessible`) and then calling the `AccessibleContext.getAccessibleAction()` method. If the return value is not null, the object supports this interface.

See Also:
  `Accessible`, `Accessible.getAccessibleContext()`, `AccessibleContext`, `AccessibleContext.getAccessibleAction()`

Field Summary
`static String` | `CLICK` An action which causes a component to execute its default action.
`static String` | `DECREMENT` An action which decrements a value.
`static String` | `INCREMENT` An action which increments a value.
`static String` | `TOGGLE_EXPAND` An action which causes a tree node to collapse if expanded and expand if collapsed.
`static String` | `TOGGLE_POPUP` An action which causes a popup to become visible if it is hidden and hidden if it is visible.

Method Summary
`boolean` | `doAccessibleAction(int i)` Performs the specified Action on the object
`int` | `getAccessibleActionCount()` Returns the number of accessible actions available in this object If there are more than one, the first one is considered the "default" action of the object.
`String` | `getAccessibleActionDescription(int i)` Returns a description of the specified action of the object.

Field Detail

### TOGGLE_EXPAND

    static final String TOGGLE_EXPAND

  An action which causes a tree node to collapse if expanded and expand if collapsed.

  Since:
    1.5

### INCREMENT

    static final String INCREMENT

  An action which increments a value.

  Since:
    1.5

### DECREMENT

    static final String DECREMENT

  An action which decrements a value.

  Since:
    1.5

### CLICK

    static final String CLICK

  An action which causes a component to execute its default action.

  Since:
    1.6

### TOGGLE_POPUP

    static final String TOGGLE_POPUP

  An action which causes a popup to become visible if it is hidden and hidden if it is visible.

  Since:
    1.6

Method Detail

### getAccessibleActionCount

    int getAccessibleActionCount()

  Returns the number of accessible actions available in this object If there are more than one, the first one is considered the "default" action of the object.

  Returns:
    the zero-based number of Actions in this object

### getAccessibleActionDescription

    String getAccessibleActionDescription(int i)

  Returns a description of the specified action of the object.

  Parameters:
    `i` - zero-based index of the actions
  Returns:
    a String description of the action
  See Also:
    `getAccessibleActionCount()`

### doAccessibleAction

    boolean doAccessibleAction(int i)

  Performs the specified Action on the object

  Parameters:
    `i` - zero-based index of actions
  Returns:
    true if the action was performed; otherwise false.
  See Also:
    `getAccessibleActionCount()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.